#include <kos32sys.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#define WIN_W 500
#define WIN_H 500

#define evReDraw  1
#define evKey     2
#define evButton  3
#define evExit    4
#define evDesktop 5
#define evMouse   6
#define evIPC     7
#define evNetwork 8
#define evDebug   9

#ifdef STYLE2
void PutPixel(int x, int y, int color) {
	__asm__ __volatile__("int $0x40"
			 ::"a"(1),
			  "b"(x),
			  "c"(y),
			  "d"(color));
}
#endif

void DrawGlassWindow(int x, int y, int w, int h, char *title, int color) {
	DrawWindow(x, y, w, h, title, 0, 0x41);
#ifdef STYLE1
	int sdv = 5;
#endif
#ifdef STYLE2
	int sdv = 0;
#endif
	draw_bar(0 +sdv, get_skin_height(), WIN_W -sdv*2, WIN_H -sdv -get_skin_height(), color);

#ifdef STYLE1	
	int line_color = 0x545454;
	draw_line(0, 0, WIN_W, 0, line_color);
	draw_line(0, 0, 0, WIN_H, line_color);
	draw_line(WIN_W-1, 0, WIN_W-1, WIN_H, line_color);
	draw_line(0, WIN_H-1, WIN_W-1, WIN_H-1, line_color);
#endif
#ifdef STYLE2
	for (int i = 0; i<WIN_W; i++)
		for (int j = i % 2; j<get_skin_height(); j+=2)
		{
			PutPixel(i, j, 0x00000000);
		}
#endif
	draw_text_sys(title, 7, 7,  strlen(title), 0x10FFFFFF); // 0x10RRGGBB
}

// DATA
char* title = "Glass skin";

void Button() {
	int id = get_os_button();
	if (id == 1) exit(0);
}



void draw_window(){
	BeginDraw(); 
	DrawGlassWindow(100, 100, WIN_W, WIN_H, "Transparency", 0xDDD7CF);
	EndDraw();
}

int main(int argc, char** argv)
{    
    draw_window();
    while(1)
    {
		switch(get_os_event())
		{
			case evButton:
				Button();
				break;
		  
			case evKey:
				get_key();
				break;
			 
			case evReDraw:
				draw_window();
				break;
		}
    }
}
